#include <Arduino.h>

const uint8_t Pin_PIR = 32;
bool state_PIR;

void setup() {

    // detect initial PIR state
    pinMode(Pin_PIR, INPUT);
    state_PIR = digitalRead(Pin_PIR);

    // conform LED
    pinMode(LED_BUILTIN,OUTPUT);
    digitalWrite(LED_BUILTIN,state_PIR);

}


void loop() {

    // see what the PIR is up to
    bool check_PIR = digitalRead(Pin_PIR);

    // has it changed state?
    if (check_PIR != state_PIR) {

        // yes! lag the LED by 100ms
        delay(100);   

        // conform the LED
        digitalWrite(LED_BUILTIN,check_PIR);

        // remember the current state
        state_PIR = check_PIR;

    }

}
